Core - Feature # 20953

Status: Closed Priority: Should have
Author: Steffen Gebert Category:

Created: 2009-08-30 Assigned To: Steffen Gebert
Updated: 2013-06-01 Due date: 2011-07-18
PHP Version: 5.3

Complexity:

Sprint Focus:

Subject: Add a warning for IE6 users in TYPO3 4.6

Description

As we hopefully drop support for IE6 in 4.6, I'd add a warning at the login screen that the browser is outdated and is no longer

supported.

(issue imported from #M11822)

Related issues:

related to Core - Bug # 25206: Remove Stylesheets and files only for IE6 from...

related to Core - Bug # 25209: Remove SpriteGenerator |IE6 Fallback
related to Core - Feature # 24147: Remove Internet Explorer 6 support
follows Core - Bug # 28264: Wrong check for existance of translated label

Closed
Resolved
Closed
Closed

2011-03-01
2011-03-01
2010-11-20
2011-07-17

Associated revisions

Revision f94844a5 - 2011-07-14 23:15 - Steffen Gebert

[FEATURE] Add warning for IE 6 users

As IE6 is not supported anymore, add a warning that the user should

upgrade its browser.

Change-Id: [d7d8411ae38e55dd6fa2747dce2fb85522c7bbc7

Resolves: #20953

Revision 3fe51773 - 2011-07-19 12:00 - Steffen Gebert

[FEATURE] Add warning for IE6 users

As IE6 is not supported anymore, add a warning that the user should

upgrade his browser.

Change-Id: [d7d8411ae38e55dd6fa2747dce2fb85522¢7bbc7
Resolves: #20953
Reviewed-on: http://review.typo3.org/3381

Reviewed-by: Stefan Neufeind
Tested-by: Eric Chavaillaz
Reviewed-by: Xavier Perseguers
Tested-by: Xavier Perseguers
#1 - 2010-05-06 03:27 - Benjamin Mack

TYPOS 4.4 will support IE6 just as IE7 ...., so let's think about this in 4.5 again (once Windows 2000 support has expired)

#2 - 2010-05-09 17:26 - Steffen Gebert

...and WinXP, which shipps IE6 by default ;-)

#3 - 2010-09-30 12:55 - Steffen Gebert

| think we can target this for 4.6 and tell them that their browser isn't supported anymore ;-)

#4 - 2010-09-30 12:56 - Benjamin Mack

yes, | agree.

#5 - 2010-11-04 12:11 - Xavier Perseguers

The message should be changed from:

Your browser is outdated and might not be supported in future versions of TYPO3.

to something like

Your browser is outdated and might not be supported by TYPOS.

#6 - 2010-11-04 12:12 - Steffen Gebert

Really? We do support IE6 ;-)

"k

After branching 4.5, we can add this and write "*is* not supported" :)

#7 - 2011-03-25 19:28 - Xavier Perseguers

Now the question is, should we deprecate IE7 as well? Having IE8 + IE9 seems already enough, isn't it?

#8 - 2011-03-26 07:50 - Jigal van Hemert

Suggestion: MS has a banner to warn for use of IE6:

http://www.ie6countdown.com/join-us.html

instead of the URL in that banner a link to:
http://www.browserchoice.eu/

could be used. This is the browser select screen used in Windows and provides direct links to installers.

Okay, we could use our own banner, but it's the idea here :-)
#9 - 2011-05-11 14:11 - Xavier Perseguers
- Target version changed from 1081 to 1238

#10 - 2011-05-18 12:14 - Mr. Hudson

Patch set 1 of change 17¢c30105e8b69368c2f16c95ea38e7db0bd6dfe7b has been pushed to the review server.
It is available at http://review.typo3.org/2182

#11 - 2011-05-18 13:08 - Mr. Hudson

Patch set 2 of change 17¢c30105e8b69368c2f16c95ea38e7db0bd6dfe7b has been pushed to the review server.
It is available at http://review.typo3.org/2182

#12 - 2011-05-18 13:59 - Jigal van Hemert

Why don't we use our own banner with the message (I agree with Steffen in Gerrit on this) that the BE will not work with IE6?

Why not link to the browser choice site which offers installers for various browsers (and not only IE)?

#13 - 2011-05-18 14:16 - Xavier Perseguers

Jigal van Hemert wrote:

Why don't we use our own banner with the message (I agree with Steffen in Gerrit on this) that the BE will not work with IE6?

Then we should get in touch with the design/UX team. And what about multilingual banner? Do we want this banner to be "translated" in our 35+

supported languages? | fear this tiny patch could become a huge dumb code and list of files included...

Why not link to the browser choice site which offers installers for various browsers (and not only IE)?

Well, from my POV that would be trying to move them out of Internet Explorer. I'm not against it but the point is to let them run a recent version of their

browser. Perhaps they already have Firefox but prefer using IE, perhaps not but the point is that they should not use IE6 anymore. Furthermore, we

should then detect old version of the corresponding other browsers too as they may have deactivated auto-update. Again, it's a +/-0.

#14 - 2011-05-18 14:20 - Xavier Perseguers

- Status changed from New to Under Review

#15 - 2011-05-18 14:30 - Xavier Perseguers
- Status changed from Under Review to Accepted

#16 - 2011-05-18 14:35 - Ernesto Baschny
- File typo3-login-unsupported-browser.png added

Sorry, I've missed the discussion here, | went straight to gerrit (as requested by Xavier in the list...).

So here again: | wouldn't use a banner at all, but instead just spit out an error message (text-based) just like the missing cookie support. No fancy
"banner" needed, in my opinion.

As an example, here is what would be very easy to implement:

typo3-login-unsupported-browser.png

This can also be used for alerting about other not-supported browsers, BTW, not only Internet Explorer 6.

#17 - 2011-06-15 09:08 - Oliver Hader
- Target version changed from 1238 to 1281

#18 - 2011-07-08 22:00 - Steffen Gebert

- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:6a82730cef680a698214a5b840df630f2ce3d250.

#19 - 2011-07-17 15:42 - Steffen Gebert

- Status changed from Resolved to New

- Target version changed from 1281 to 4.6.0-betat
- TYPOS3 Version changed from 4.3 to 4.6

This one is not closed, yet. | just pushed it to a sandbox.

#20 - 2011-07-19 11:26 - Mr. Hudson

Patch set 3 of change 1d7d8411ae38e55dd6fa2747dce2fb85522c7bbc7 has been pushed to the review server.

It is available at http://review.typo3.org/3381

#21 - 2011-07-19 12:00 - Xavier Perseguers
- Status changed from New to Resolved

- Assigned To set to Steffen Gebert

- PHP Version changed from 4.3 to 5.3

Change has been successfully cherry-picked as 3fe5177392c4fb7a7b5{5d39ac653454501f94ea.

#22 - 2012-03-07 13:34 - Xavier Perseguers
- Status changed from Resolved to Closed

#23 - 2013-06-01 14:45 - Ernesto Baschny
- Target version deleted (4.6.0-betat)

Files

11822.diff 2.3 kB 2009-08-30 Administrator Admin

typo3-login-unsupported-browser.png 19.9 kB 2011-05-18 Ernesto Baschny
